* {
  margin: 0;
  padding: 0;
}


@font-face {
  font-display: swap; 
  font-family: 'Girassol';
  font-style: normal;
  font-weight: 400;
  src: url('../fonts/girassol-v22-latin-regular.woff2') format('woff2'); 
}


body {
  font-size: medium;
  font-family: Arial, Helvetica, sans-serif;
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
  gap: 60px;
  color: #ffffff;
  background-color:#111111;
  min-height: 100vh;
  padding-bottom: 60px; 
}

.header {
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  background-color: black;
  justify-content: space-between;
  align-items: center;
  padding: 0 20px 20px;
  width: 100vw;
  background-color: #000000;
  border: none;
  border-radius: 0px 0px 100px 100px / 0px 0px 170px 170px;
  position: fixed; /* Ajouté pour fixer l'en-tête en haut de la page */
  top: 0; /* Ajouté pour fixer l'en-tête en haut de la page */
  left: 0; /* Ajouté pour fixer l'en-tête à gauche de la page */
  z-index: 1000;
}

h1 { text-align: center; }

h1.header_title{
  font-family: 'Girassol';
  font-size: clamp(1.875rem, calc(-1rem + 8.3333vw), 5rem);
  font-weight: 700;
  letter-spacing: 4px;
  color: #ffffff;
  text-align: center;
  background-color: black;
}



/* anim du titre */
@-webkit-keyframes fadeInLeft {
  from {
    opacity: 0;
    -webkit-transform: translate3d(-100%, 0, 0);
    transform: translate3d(-100%, 0, 0);
  }

  to {
    opacity: 1;
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }
}

@keyframes fadeInLeft {
  from {
    opacity: 0;
    -webkit-transform: translate3d(-100%, 0, 0);
    transform: translate3d(-100%, 0, 0);
  }

  to {
    opacity: 1;
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }
}

.fadeInLeft {
  -webkit-animation-name: fadeInLeft;
  animation-name: fadeInLeft;
}

.animated {
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
}

/* Titre H2 Gallerie */

.gal_title{
  font-size: clamp(0.975rem, calc(-0.975rem + 1.5vw), 1.5rem);
  font-weight: 100;
  text-transform: uppercase;
  color: #ffffff;
  text-align: center;
  background-color: #000000;
  display: none;
  visibility: hidden;
}


/* bouton login */
#loginButton {
  position: fixed;
  bottom: 20px;
  left: 10px;
  background-color: #001401;
  border: none;
  color: white;
  padding: 15px 25px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 5px;
  cursor: pointer;
  border-radius: 8px;
  transition-duration: 0.4s;
  z-index: 1001;
}

#loginButton:hover {
  background-color: #45a049;
  color: white;
}

/* navigation */
.nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  padding: 10px 0;
}

.menu {
  display: flex;
  font-family: 'Girassol';
  font-size: x-large;
  justify-content: space-around;
  padding: 0;
  margin: 0;
}

.menu-list {
  display: flex;
  justify-content: space-around;
  list-style-type: none;
  padding: 0;
  margin: 0;
}

.menu-item {
  padding: 10px;  
  transition: background-color 0.5s ease; 
}

.menu-link {
  text-decoration: none;
  color:white;
}

.menu-item.is-active,
.menu-item:hover {
  background-color: white;
  border-radius: 10px 0 10px 0; 
}

.menu-item.is-active .menu-link,
.menu-item:hover .menu-link {
  color: black;
}

.menu-item .menu-link:hover {
  color: black;
  font-size: x-large;
}

.menu-link:visited {
  color: rgb(255, 255, 255);
}

/* menu burger */
.menu-burger {
  position: fixed;
  bottom: 20px;
  right: 10px;
  z-index: 1000;
}

/* Style du bouton du menu burger */
.menu-burger-button {
  display: block;
  width: 80px;
  height: 50px;
  background-color: #001401;
  border: none;
  border-radius: 10px;
  text-align: center;
  line-height: 20px;
  color: #fff;
  cursor: pointer;
}

.menu-burger-button:hover {
  background-color: #45a049;
  color: white;
}



.gal {
  margin-top: 210px; /* Ajustez cette valeur en fonction de la hauteur de votre en-tête */
  overflow: auto;
}

/* affichage des cartes */
.image-grid {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin-top: 30px;
}

.image-grid.visible {
  opacity: 1;
}
.image-item {
  opacity: 1;
  max-width: 450px;
  width: 260px;
  height: 250px;
  margin: 20px; /* Espacement entre les images */
  margin-bottom: 70px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  transition: transform 0.3s ease-in-out, opacity 0.5s ease-in-out;
}

.image-item:hover {
   transform: scale(1.1);
   transition: transform 0.8s ease-in-out;
}

.image {
  max-width: 250px;
  max-height: 250px;
 
  border: solid 1px #000000;
  
}

.image:hover {
  filter: drop-shadow(0px 0px 10px #6b6b6b);

}

@media screen and (max-width: 992px) {
  .image-item {
    flex-basis: calc(33.3333% - 20px); /* Pour afficher trois images par ligne sur les écrans moyens */
  }
}

@media screen and (max-width: 768px) {
.header {
  padding: 0 10px;
  border: none;
  border-radius: 0px 0px 50px 50px / 0px 0px 70px 70px;
  }
  .menu-item {
    padding: 5px;   }


  .image-item {
    flex-basis: calc(50% - 20px);
  }
}

@media screen and (max-width: 576px) {
  .header {
    border: none;
    border-radius: 0;
    }
 .gal{
      margin-top: 150px;
      overflow: auto;
    }

    .gal.menu-closed {
      margin-top: 0;
    }

    .gal_title{
      display:none;
    }

    
    .menu-list {
      display: grid;
      grid-template-columns: repeat(2, 1fr);
      grid-auto-rows: auto;
      grid-gap: 10px;
    }
  
    .menu-item {
      display: flex;
      justify-content: center;
      align-items: center;
    }

    .menu-burger {
      display: block; 
  }

  
  .image-item {
    flex-basis: calc(100% - 20px); /* Pour afficher une seule image par ligne sur les petits appareils */

  }
}


/* Bouton de suppression et checkbox */
.control-group {
  width: 100%; /* Définit la largeur de control-group à 250px */
  display: flex; /* Utilise flexbox pour le centrage du contenu */
  flex-direction: column;
  justify-content: center; /* Centre le contenu horizontalement */
  align-items: center; /* Centre le contenu verticalement */
}

        .control {
            font-family: arial; /* Même police que celle du bouton btndel */
            font-size: 14px; /* Même taille de police que celle du bouton btndel */
            color: #7e7e7e;
            display: block;
            position: relative;
            padding-left: 28px;
            margin-bottom: 3px;
            padding-top: 0px;
            cursor: pointer;
            max-width: 250px;
        }
            .control input {
                position: absolute;
                z-index: -1;
                opacity: 0;
            }
        .control_indicator {
            position: absolute;
            top: 0px;
            left: 0;
            height: 20px;
            width: 20px;
            background: #e6e6e6;
            border: 1px solid #7e7e7e;
            border-radius: 0px;
        }
        .control:hover input ~ .control_indicator,
        .control input:focus ~ .control_indicator {
            background: #95cdc4;
        }
        
        .control input:checked ~ .control_indicator {
            background: #d80e0e;
        }
        .control:hover input:not([disabled]):checked ~ .control_indicator,
        .control input:checked:focus ~ .control_indicator {
            background: #c50404;
        }
        .control input:disabled ~ .control_indicator {
            background: #e6e6e6;
            opacity: 0.6;
            pointer-events: none;
        }
        .control_indicator:after {
            box-sizing: unset;
            content: '';
            position: absolute;
            display: none;
        }
        .control input:checked ~ .control_indicator:after {
            display: block;
        }
        .control-checkbox .control_indicator:after {
            left: 7px;
            top: 2px;
            width: 3px;
            height: 11px;
            border: solid #ffffff;
            border-width: 0 2px 2px 0;
            transform: rotate(45deg);
        }
        .control-checkbox input:disabled ~ .control_indicator:after {
            border-color: #7b7b7b;
        }
        /* Box */
        .box {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.box select {
  background-color: #0563af;
  color: white;
  padding: 12px;
  width: 250px;
  border: none;
  font-size: 20px;
  box-shadow: 0 5px 25px rgba(0, 0, 0, 0.2);
  -webkit-appearance: button;
  appearance: button;
  outline: none;
}

.box::before {
  content: "\f13a";
  font-family: FontAwesome;
  position: absolute;
  top: 0;
  right: 0;
  width: 20%;
  height: 100%;
  text-align: center;
  font-size: 28px;
  line-height: 45px;
  color: rgba(255, 255, 255, 0.5);
  background-color: rgba(255, 255, 255, 0.1);
  pointer-events: none;
}

.box:hover::before {
  color: rgba(255, 255, 255, 0.6);
  background-color: rgba(255, 255, 255, 0.2);
}

.box select option {
  padding: 30px;
}

/* Delete button */
.btndel {
  display: flex;
  align-items: center;
  justify-content: center; /* Ajout pour centrer les éléments enfants */
  text-align: center;
  font-family: arial; /* Ajout de la même police que celle de la checkbox */
  font-size: 16px; /* Même taille de police que celle de la checkbox */
  color: #7e7e7e; /* Couleur similaire à celle de la checkbox */
  background: none;
  border: 1px solid gray;
  height: 28px;
  padding: 0 24px 0 16px;
  letter-spacing: .25px;
  border-radius: 24px;
  cursor: pointer;
  width: 200px;
  margin-bottom: 5px;
  
  &:focus {
    outline: none;
  }
}

.btndel-delete {
  font-size: 16px;
  color: red;
  
  >.mdi-delete-empty {
    display: none;
  }
  
  &:hover {
    background-color: red;
    
    >.mdi-delete-empty {
      display: block;
    }
    
    >.mdi-delete {
      display: none;
    }
  }
  

  
  &:focus {
    box-shadow: 0 0 0 4px red;
  }
}



/* Footer */

.footer {
  position: fixed;
  bottom: 0;
  width: 100%;
  display: flex;
  justify-content: space-around;
  align-items: center;
  gap: 30px;
  background-color: rgba(0, 0, 0, 1);
  height: 90px;
  margin-top: auto;
}

  /* Style des liens du footer*/

  li{
    list-style: none;
  }

  a {
    color: #007bff; /* Bleu par défaut */
    text-decoration: none;
  }
  
  /* Style des liens au survol */
  a:hover {
    color: white;
  }

@media only screen and (max-width: 650px) {
  .container {
    width: 100%;
  }



  label {
    display: block;
  }

  .cards {
    flex-direction: column;
    width: auto;
  }
}

